Bug 67865 - "up2date --version" does NOT display version
Summary: "up2date --version" does NOT display version
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-03 13:30 UTC by Ron Whiteleather
Modified: 2015-01-07 23:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-09 11:38:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:140 normal SHIPPED_LIVE Updated up2date and rhn_register packages available 2002-07-11 04:00:00 UTC
Red Hat Product Errata RHSA-2003:177 normal SHIPPED_LIVE : Updated up2date and rhn_register clients available 2003-05-27 04:00:00 UTC

Description Ron Whiteleather 2002-07-03 13:30:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4.1) Gecko/20020508
Netscape6/6.2.3

Description of problem:
The "--version" option should at least display the dam version.  How about
adding an option like "--authors" to display who wrote the thing?  Only
displaying the authors when the version is requested only serves to identify the
guilty!  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. execute "up2date --version"
2. inspect the displayed window
3. Q.E.D.
	

Actual Results:  A window is displayed that contains information about who
authored this thing.

Expected Results:  A window should be displayed showing the current version.

Additional info:

Comment 1 Adrian Likins 2002-07-08 20:25:25 UTC
The displayed window for me shows at the top
"About Red Hat Update Agent 2.7.86"

Are you not seeing the same ?






Comment 2 Ron Whiteleather 2002-08-09 11:38:47 UTC
NO!!!  Why would I go through the trouble of entering this bug report if I could
see the version info???  Try looking again!  I have verified this under both KDE
and Gnome window managers AND in plain text mode using the --nox option as follows:

#up2date --version --nox
Red Hat Update Agent v
Copyright (c) 1999-2001 Red Hat, Inc.
Licensed under terms of the GPL.
#

This is a simple cut & paste from a terminal window.  Do you see any version???

The window titles under KDE and Gnome window managers only show "About".

Here is some more info that might be helpful:

# rpm -qa | grep up2date
up2date-gnome-2.7.61-7.x.2
up2date-2.7.61-7.x.2

Now, at least put as much effort into investigating this defect as I have into
reporting and documenting it!

Comment 3 Adrian Likins 2002-08-22 21:40:33 UTC
Sorry, but the versions I have work properly. 

2.7.61 does indeed not include the version, but has since
been  fixed. 



Comment 4 Bill Peck 2003-05-27 15:27:50 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-177.html



Note You need to log in before you can comment on or make changes to this bug.